<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_161) on Fri Nov 23 22:08:05 CET 2018 -->
<title>QuizDataservice</title>
<meta name="date" content="2018-11-23">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="QuizDataservice";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/QuizDataservice.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/epita/quiz/services/data/QuestionDAO.html" title="class in fr.epita.quiz.services.data"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/epita/quiz/services/data/QuizDataservice.html" target="_top">Frames</a></li>
<li><a href="QuizDataservice.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.epita.quiz.services.data</div>
<h2 title="Class QuizDataservice" class="title">Class QuizDataservice</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.epita.quiz.services.data.QuizDataservice</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>@Repository
public class <span class="typeNameLabel">QuizDataservice</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../fr/epita/quiz/services/data/QuizDataservice.html#QuizDataservice--">QuizDataservice</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../fr/epita/quiz/services/data/QuizDataservice.html#createQuestionWithChoices-fr.epita.quiz.datamodel.Question-java.util.List-">createQuestionWithChoices</a></span>(<a href="../../../../../fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel">Question</a>&nbsp;question,
                         java.util.List&lt;<a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a>&gt;&nbsp;choices)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.Map&lt;<a href="../../../../../fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel">Question</a>,java.util.List&lt;<a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a>&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../fr/epita/quiz/services/data/QuizDataservice.html#deleteCertainQuestions-fr.epita.quiz.datamodel.Question-">deleteCertainQuestions</a></span>(<a href="../../../../../fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel">Question</a>&nbsp;question)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.Map&lt;<a href="../../../../../fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel">Question</a>,java.util.List&lt;<a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a>&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../fr/epita/quiz/services/data/QuizDataservice.html#findCertainQuestion-fr.epita.quiz.datamodel.Question-">findCertainQuestion</a></span>(<a href="../../../../../fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel">Question</a>&nbsp;question)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="QuizDataservice--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>QuizDataservice</h4>
<pre>public&nbsp;QuizDataservice()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createQuestionWithChoices-fr.epita.quiz.datamodel.Question-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createQuestionWithChoices</h4>
<pre>public&nbsp;void&nbsp;createQuestionWithChoices(<a href="../../../../../fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel">Question</a>&nbsp;question,
                                      java.util.List&lt;<a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a>&gt;&nbsp;choices)</pre>
</li>
</ul>
<a name="findCertainQuestion-fr.epita.quiz.datamodel.Question-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findCertainQuestion</h4>
<pre>public&nbsp;java.util.Map&lt;<a href="../../../../../fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel">Question</a>,java.util.List&lt;<a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a>&gt;&gt;&nbsp;findCertainQuestion(<a href="../../../../../fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel">Question</a>&nbsp;question)</pre>
</li>
</ul>
<a name="deleteCertainQuestions-fr.epita.quiz.datamodel.Question-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>deleteCertainQuestions</h4>
<pre>public&nbsp;java.util.Map&lt;<a href="../../../../../fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel">Question</a>,java.util.List&lt;<a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a>&gt;&gt;&nbsp;deleteCertainQuestions(<a href="../../../../../fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel">Question</a>&nbsp;question)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/QuizDataservice.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/epita/quiz/services/data/QuestionDAO.html" title="class in fr.epita.quiz.services.data"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/epita/quiz/services/data/QuizDataservice.html" target="_top">Frames</a></li>
<li><a href="QuizDataservice.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
